#include "std.h"

#include "emul.h"
#include "vars.h"
#include "inputpc.h"

const PC_KEY pc_layout[] =
{
   { DIK_1, 0x31, 0xB1 },
   { DIK_2, 0x32, 0xB2 },
   { DIK_3, 0x33, 0xB3 },
   { DIK_4, 0x34, 0xB4 },
   { DIK_5, 0x35, 0xB5 },
   { DIK_6, 0x45, 0xE5 },
   { DIK_7, 0x44, 0xC5 },
   { DIK_8, 0x43, 0xF5 },
   { DIK_9, 0x42, 0xC3 },
   { DIK_0, 0x41, 0xC2 },
   { DIK_MINUS, 0xE4, 0xC1 }, // -_
   { DIK_EQUALS, 0xE2, 0xE3 }, // =+

   { DIK_Q, 0x21, 0x29 },
   { DIK_W, 0x22, 0x2A },
   { DIK_E, 0x23, 0x2B },
   { DIK_R, 0x24, 0x2C },
   { DIK_T, 0x25, 0x2D },
   { DIK_Y, 0x55, 0x5D },
   { DIK_U, 0x54, 0x5C },
   { DIK_I, 0x53, 0x5B },
   { DIK_O, 0x52, 0x5A },
   { DIK_P, 0x51, 0x59 },
//   { DIK_LBRACKET, 0xD5, 0x94 }, // [{
//   { DIK_RBRACKET, 0xD4, 0x95 }, // ]}

   { DIK_A, 0x11, 0x19 },
   { DIK_S, 0x12, 0x1A },
   { DIK_D, 0x13, 0x1B },
   { DIK_F, 0x14, 0x1C },
   { DIK_G, 0x15, 0x1D },
   { DIK_H, 0x65, 0x6D },
   { DIK_J, 0x64, 0x6C },
   { DIK_K, 0x63, 0x6B },
   { DIK_L, 0x62, 0x6A },
   { DIK_SEMICOLON, 0xD2, 0x82 }, // ;:
   { DIK_APOSTROPHE, 0xC4, 0xD1 }, // '"

   { DIK_Z, 0x02, 0x0A },
   { DIK_X, 0x03, 0x0B },
   { DIK_C, 0x04, 0x0C },
   { DIK_V, 0x05, 0x0D },
   { DIK_B, 0x75, 0x7D },
   { DIK_N, 0x74, 0x7C },
   { DIK_M, 0x73, 0x7B },
   { DIK_COMMA, 0xF4, 0xA4 }, // ,<
   { DIK_PERIOD, 0xF3, 0xA5 }, // .>
   { DIK_SLASH, 0x85, 0x84 }, // /?
   { DIK_BACKSLASH, 0x93, 0x92 }, // \|
};

const size_t pc_layout_count = _countof(pc_layout);
